Bug 1290894 - Firefox very slow starting up
Summary: Firefox very slow starting up
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 23
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-11 19:43 UTC by Kadir
Modified: 2016-12-20 16:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 16:56:10 UTC


Attachments (Terms of Use)

Description Kadir 2015-12-11 19:43:43 UTC
Description of problem:

Firefox (42.0-2.fc23) is very slow to start. Sometimes it takes a couple of minutes to start. When I disconnect the network and then start Firefox everything is ok.

Version-Release number of selected component (if applicable):

42.0-2.fc23

How reproducible:

Start Firefox a couple of times normally

Actual results:

Firefox is very slow to start

Expected results:

Fast startup

Additional info:

I have a very recent system (core i3-4330 with a Samsung 850 EVO SSD). Everything worked fine until some updates ago. I don't which update caused the problem.

See bug from https://bugzilla.mozilla.org/show_bug.cgi?id=1225183
for the exact same problem.

Comment 1 Martin Stransky 2015-12-11 20:03:07 UTC
> When I disconnect the network and then start Firefox everything is ok.

That seems to be caused by slow/blocking DNS request or so. Please try another program when you see that in Firefox - I can reproduce it with mc too.

Comment 2 Kadir 2015-12-11 20:07:30 UTC
Thanks for the tip. 

Do you mean it is some kind of problem with my DNS settings from my ISP and/or modem/router or do you mean I should tinker with the DNS setting in the Networkmanager (because those settings I have never touched)

Comment 3 Martin Stransky 2016-02-29 14:09:08 UTC
It could be both. When DNS response is broken I see the same slow start on console application, like mc.

Comment 4 Fedora End Of Life 2016-11-24 14:10:32 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2016-12-20 16:56:10 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.